Bug 168023 - Implement self.origin
Summary: Implement self.origin
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on: 169839
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-08 15:11 PST by Boris Zbarsky
Modified: 2017-03-19 14:51 PDT (History)
11 users (show)

See Also:


Attachments
WIP patch (14.56 KB, patch)
2017-03-17 15:53 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (748.32 KB, application/zip)
2017-03-17 20:59 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (850.61 KB, application/zip)
2017-03-17 21:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-elcapitan (1.57 MB, application/zip)
2017-03-17 21:14 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (742.54 KB, application/zip)
2017-03-17 21:25 PDT, Build Bot
no flags Details
Patch (28.99 KB, patch)
2017-03-19 13:35 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Zbarsky 2017-02-08 15:11:49 PST
See <https://html.spec.whatwg.org/multipage/webappapis.html#dom-origin>: the idea is to have a way to get the origin of the global in both workers and windows.
Comment 1 Chris Dumez 2017-03-17 15:53:43 PDT
Created attachment 304830 [details]
WIP patch
Comment 2 Build Bot 2017-03-17 20:59:17 PDT
Comment on attachment 304830 [details]
WIP patch

Attachment 304830 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3353730

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star-worker.html
Comment 3 Build Bot 2017-03-17 20:59:21 PDT
Created attachment 304856 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Build Bot 2017-03-17 21:01:23 PDT
Comment on attachment 304830 [details]
WIP patch

Attachment 304830 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3353733

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star-worker.html
Comment 5 Build Bot 2017-03-17 21:01:26 PDT
Created attachment 304857 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 6 Build Bot 2017-03-17 21:14:42 PDT
Comment on attachment 304830 [details]
WIP patch

Attachment 304830 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3353735

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star-worker.html
Comment 7 Build Bot 2017-03-17 21:14:49 PDT
Created attachment 304859 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 8 Build Bot 2017-03-17 21:25:33 PDT
Comment on attachment 304830 [details]
WIP patch

Attachment 304830 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3353751

New failing tests:
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star-worker.html
Comment 9 Build Bot 2017-03-17 21:25:39 PDT
Created attachment 304860 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 10 Chris Dumez 2017-03-18 10:54:10 PDT
(In reply to comment #8)
> Comment on attachment 304830 [details]
> WIP patch
> 
> Attachment 304830 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> Output: http://webkit-queues.webkit.org/results/3353751
> 
> New failing tests:
> imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star-worker.
> html

Failure is due to an apparent bug in JSC:
https://bugs.webkit.org/show_bug.cgi?id=169839
Comment 11 Chris Dumez 2017-03-19 13:35:36 PDT
Created attachment 304901 [details]
Patch
Comment 12 WebKit Commit Bot 2017-03-19 14:51:23 PDT
Comment on attachment 304901 [details]
Patch

Clearing flags on attachment: 304901

Committed r214147: <http://trac.webkit.org/changeset/214147>
Comment 13 WebKit Commit Bot 2017-03-19 14:51:31 PDT
All reviewed patches have been landed.  Closing bug.